html{
  height : 100%;
  width : 100%;
  overflow : hidden;
}
body {
  height : 100%;
  padding : 0;
  overflow : hidden;
  margin : 0;
  /* -webkit-overflow-scrolling : touch; */
  font-family : 'Lato', sans-serif;
}
  body .tab{
    display : none;
  }
    body .tab.active{
      display : block;
    }
  body button, body a{
    cursor : pointer;
  }
  body .box{
    position : relative;
    height : 100vh;
    width : 100%;
    display : flex;
  }
    body .box#login{
      background-color : #B1DEF0;
      height : calc(100vh - 80px);
      padding-bottom : 80px;
      transition : all 2s;
    }
      body .box#login.home{
        margin-top : -100vh;
      }
    body .box .center{
      margin : auto;
      max-width : calc(100% - 20px * 2);
    }
      body .box#login .bottom{
        height : 20px;
        width : 100%;
        position : absolute;
        left : 0px;
        bottom : 0px;
        border-bottom : 90vh solid white;
        transition : all 2s;
        z-index : 1;
      }
        body .box#login .bottom.connected{
          border-bottom-width : 60px;
        }
        body .box#login .bottom .b, body .box#login .bottom .f{
          position : absolute;
          top : 0px;
          left : 0px;
          height : 20px;
          width : 100%;
          background-size : contain;
          background-repeat : repeat;
          background-position : center center;
          animation-iteration-count : infinite;
          animation-timing-function : linear;
        }
          body .box#login .bottom .b{
            background-image : url(../img/wave_1.png);
            animation-name : login_wave_1;
            animation-duration : 1.4s;
          }
          body .box#login .bottom .f{
            background-image : url(../img/wave_2.png);
            animation-name : login_wave_2;
            animation-duration : 0.7s;
          }
      body .box#login .center{
        width : 320px;
        z-index : 2;
      }
      body .box#login .center .logo{
        height : 250px;
        width : 250px;
        background-size : cover;
        background-position : center center;
        background-image : url(../img/logo/500.png);
        margin-left : auto;
        margin-right : auto;
        position : relative;
      }
        body .box#login .center .logo .message{
          position : absolute;
          top : 0px;
          left : 100%;
          background-color : white;
          border : 3px solid black;
          padding : 10px;
          border-radius : 5px;
          border-bottom-left-radius : 0px;
          display : none;
        }
          body .box#login .center .logo .message.active{
            display : table;
          }
          body .box#login .center .logo .message:before{
            content : "";
            position : absolute;
            bottom : -3px;
            left : calc((10px + 3px) * -1);
            width: 0;
            height: 0;
            border-style: solid;
            border-width: 0 0px 10px 10px;
            border-color: transparent transparent black transparent;
          }
      body .box#login .center h1{
        width : 100%;
        text-align : center;
        font-size : 36px;
        margin : 0px;
        transition : all 2s;
      }
        body .box#login .center h1.connected{
          margin-bottom : 39px;
        }

/* ############################################################################################################################################################ */
/* ### ANIMATIONS ############################################################################################################################################# */
/* ############################################################################################################################################################ */

@keyframes login_wave_1{
    0%{
      background-position : 0px 0px;
    }
    100%{
      background-position : 283px 0px;
    }
}
@keyframes login_wave_2{
    0%{
      background-position : 0px 0px;
    }
    100%{
      background-position : -283px 0px;
    }
}
